{
    "$graph": [
        {
            "label": "kmer_build_tree",
            "class": "CommandLineTool",
            "baseCommand": "kmer_build_tree",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-distances"
                    },
                    "id": "#kmer_build_tree.cwl/distances"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-no-merge"
                    },
                    "id": "#kmer_build_tree.cwl/no_merge"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-obin"
                    },
                    "id": "#kmer_build_tree.cwl/obin"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-otext"
                    },
                    "id": "#kmer_build_tree.cwl/otext"
                },
                {
                    "type": "boolean",
                    "inputBinding": {
                        "prefix": "-skip-markup"
                    },
                    "id": "#kmer_build_tree.cwl/skip_markup"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "prefix": "-sort"
                    },
                    "id": "#kmer_build_tree.cwl/sort"
                }
            ],
            "id": "#kmer_build_tree.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.otext)"
                    },
                    "id": "#kmer_build_tree.cwl/tree"
                }
            ]
        },
        {
            "label": "kmer_build_tree",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/distances"
                },
                {
                    "type": "boolean",
                    "id": "#main/no_merge"
                },
                {
                    "type": "boolean",
                    "id": "#main/skip_markup"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "id": "#main/sort"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#main/tree"
                }
            ],
            "steps": [
                {
                    "run": "#kmer_build_tree.cwl",
                    "in": [
                        {
                            "source": "#main/distances",
                            "id": "#main/kmer_build_tree/distances"
                        },
                        {
                            "source": "#main/no_merge",
                            "id": "#main/kmer_build_tree/no_merge"
                        },
                        {
                            "default": "tree_bin.asn",
                            "id": "#main/kmer_build_tree/obin"
                        },
                        {
                            "default": "tree_text.asn",
                            "id": "#main/kmer_build_tree/otext"
                        },
                        {
                            "source": "#main/skip_markup",
                            "id": "#main/kmer_build_tree/skip_markup"
                        },
                        {
                            "source": "#main/sort",
                            "id": "#main/kmer_build_tree/sort"
                        }
                    ],
                    "out": [
                        "#main/kmer_build_tree/tree"
                    ],
                    "id": "#main/kmer_build_tree"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
